Dans le petit monde des installateurs graphiques pour distributions GNU/Linux Archlinux et apparentées, il y a Calamares, Cnchi et les autres.

S’il y a bien un sujet qui fait couler de l’encre électronique dans le petit monde des distributions GNU/Linux, c’est celui de l’indispensable outil d’installation.

Si certaines distributions sont restées accrocs à la ligne de commande, comme la ArchLinux, la Slackware, la Debian GNU/Linux en partie ou encore la famille Gentoo, la plupart utilisent des installateurs semi-graphique voire complètement graphique.

Si on se limite à la famille des Archlinux et apparentées, il y a des très bons outils, comme Calamares – qui se répand pas mal en ce moment – ou encore CnChi proposée par NumixOS Antergos.

Mais il y a aussi des installateurs fait maison, par des projets comme la Parabola GNU/Linux-libre qui propose une ISO avec Mate Desktop qui est déclarée comme installable. On peut y lire : « Live ISO image for installation and recovery (with MATE Desktop Environment). »

Inutile de traduire ici. J’ai donc récupéré l’image ISO puis j’ai lancé Qemu. VirtualBox s’étant révélé inutilisable avec la Parabola GNU/Linux-libre dans les tests rapides que j’ai pu faire avant de rédiger l’article.

[fred@fredo-arch ISO à tester]$ qemu-img create -f qed disk-mate.img 128G
Formatting 'disk-mate.img', fmt=qed size=137438953472 cluster_size=65536
[fred@fredo-arch ISO à tester]$ kvm64 -hda disk-mate.img -cdrom parabola-mate-2015.11.11-dual.iso -boot order=cd &

Pour mémoire, kvm64 est un alias pour : qemu-system-x86_64 -k fr -m 2048 -sdl -soundhw hda,ac97 -vga std --enable-kvm

Voici donc la vidéo de l’installation. Désolé pour le son de fond, c’est un problème lié à Qemu quand on veut enregistrer une machine virtuelle en vidéo.

Outre le fait que l’installation se termine très mal – on voit le soin qui a été apporté aux tests pour vérifier que l’ensemble démarrait correctement – on peut se demander si ce n’est pas une vaste blague. Outre le fait que j’ai rapidement changé le fond d’écran pour éviter un décollement de rétine, rien ne fonctionne…

Comment dire cela en restant gentil ? Ne pas mettre d’installateur aurait été une sage décision. Ou simplement le tester pour éviter de se retrouver sans lightdm et un compte utilisateur aux fichiers mal recopiés ou encore un outil comme octopi qui est inutilisable faute de certains logiciels manquants… 🙁

Enfin, je dis ça, mais je dis rien au final 🙂

24 réflexions sur « Dans le petit monde des installateurs graphiques pour distributions GNU/Linux Archlinux et apparentées, il y a Calamares, Cnchi et les autres. »

    1. J’avais le même problème, à savoir les vidéos systématiquement lues avec flash, jusqu’à ce que j’installe l’extension firefox ‘Youtube ALL HTML5’.
      Le choix de flash par défaut est sans doute lié au fait que je n’ai pas de compte youtube/google(+)/gmail/dismoatou.

        1. Non, c’est visiblement un gros bug de Firefox 42 sur Arch Linux (et autres distributions ?), qui tient à reprendre Flash pour YouTube (alors que Firefox 41 était bien en HTLM5 par défaut).
          Je dis « pour Arch » parce que FF42 sous Windows est aussi en HTML5 par défaut avec YouTube (vérifié en virant les cookies associés à chaque fois).
          Du coup, j’ai aussi dû installer cette extension et cocher dans ses options la case qui force HTML5, même dans les lecteurs embarqués sur des sites tiers comme le tien (mais ça me gave, parce que j’en avais pas besoin avant : c’est quoi, cette régression ?!).

          1. Je viens de tester avec un profil vierge et Firefox 42 sur Arch continue à vouloir passer par Flash pour afficher le lecteur vidéo de YouTube.

            Pour info, je me suis contenté d’aller sur cet article, vu que j’ai remarqué que même si on demandait le HTML5 sur le site de YouTube, ça n’avait pas d’effet pour les vidéos embarquées sur d’autres sites.

          2. Je suis paumé et je ne comprends pas. J’ai 99,9% du temps les vidéos qui se chargent et se lance – quand je le demande – en utilisant youtube.

            Simple question : le paquet gst-libav est présent sur ton système ?

          3. Bah, je dois pas être le seul puisque Farfouille et Trefix ont le même souci… Mais peut-être que tu ne l’as pas parce que tu n’as plus Flash installé sur ta machine.

            Et oui, gst-libav est installé.

            Mais je te dis, c’est un problème qui ne touche que FF42 sur Arch (j’utilise que la version des dépôts officiels : pas de testing ni de Nightly) : FF41 ne l’avait pas et même FF42 sous Windows est au HTML5 par défaut (et tout ce qui doit être activé dans les clefs MSE de about:config l’est). Non, y a qu’à attendre une prochaine version de Firefox qui sera corrigée, c’est tout.

  1. mieux vaut encore le guide de fred bezies pour archlinux qu’une installation qui abouti a ce resultat.

    pour une version maintenu a jour ( 2015-11-11) c’est pas très joli.

    nb le site est tout autant « accessible » , requérant une certificat CACERT (http://www.parabola.nu/https/)

    les nouveaux utilisateurs ne vont pas être déçus et ne pourront pas demander de l’aide dans ce type de situation.

    1. Pour info, la Parabola GNU/Linux, c’est la version à la pilosité prononcée de la Archlinux. On pourrait partir de l’ISO simple proposée et en utilisant mon guide installer presque entièrement la distribution.

      C’est une distribution de niche, dont je me demande si elle est utilisé par plus qu’une poignée de personnes pour qui seul le logiciel libre importe.

  2. Et ben dis donc qu elle sacré enfoirade.
    Belle perte de temps de la part d’une minorité.
    C’est que c’est drôle de voir ces distrib se planter comme des m……
    Bref encore un etroniciel ou quelque chose du genre.
    Complètement inutile.
    Youpi

  3. Salut Fred
    Ben dis-donc quelle plaie cette parabola !!! En plus pour installer Mate. Quel courage ! Non … pas les tomates !
    Sinon la prochaine fois que tu galères avec les propriétaires de fichier, la commande chown est ton ami :
    # cd /home/fred
    # chown -R fred.fred .

  4. Hey,

    Y a t’il seulement quelqu’un qui ai besoin de la Parabola Linux?
    Je ne crois pas, et je comprends mieux pourquoi les grangs noms (Ubuntu Mate, Debian, Fedora……) on la cote. Au moins leurs livecd fonctionne du début à la fin.

    Imagine que tu donne un cours d’install linux avec ce truc. Il faut prévoir le bouclier.

    @ Pluche

  5. Salut,
    Tu as raison juste le bouclier ne suffirait pas.
    Hier soir j’ai changé mon pc dans ma chanbre par un plus récent et silencieux,
    et j’ai installé Ubuntu Mate 15.10 et franchement c’est simple et rapide avec UEFI en plus.
    Cette version avec Mate me réconcilie avec ubuntu que j’avais délaissé à cause d’unity.
    Et là on n’apas besoin de bouclier et de pensements.

    Et pour finir c’est vrai qu’on se régale avec tes tests de distrib complètement bancales.

    @ bientôt
    Eddy

  6. Hey Hey,

    J’ai oublier, j’ai aussi installé une CTKarch openbox et install nickel sans problème.
    Sauf les updates. C’est une distrib qui n’est plus depuis longtemps.

    Bye

Les commentaires sont fermés.